export declare type LogType = 'error' | 'warn' | 'info';
export declare type LogLevel = LogType | 'silent';
export interface Logger {
    info(msg: string, options?: LogOptions): void;
    warn(msg: string, options?: LogOptions): void;
    error(msg: string, options?: LogOptions): void;
    clearScreen(type: LogType): void;
}
export interface LogOptions {
    clear?: boolean;
    timestamp?: boolean;
}
export declare function createLogger(level?: LogLevel): Logger;
